/* basics */
:root{
  --red:#c00;
  --green:#060;
  --blue:#009;
  --black:#000;
  --darker:#333;
  --dark:#666;
  --grey:#ccc;
  --white:#fff;
  --box:#444;
}
*,html{overflow-x:none;pointer-events:inherit;}
body,form{margin:0;padding:0;}
.clear{clear:both;}

/* desktop */
body{font-family:sans-serif;letter-spacing:1.5px;font-size:18px;line-height:24px;font-weight:400;color:var(--white);}
.bodybg{background:url('bg.jpg') no-repeat;background-attachment:fixed;background-size:cover;display:grid;align-items:center;justify-content:center;height:100vh;background-color:#210;background-blend-mode:luminosity;}
h1{text-align:center;text-transform:uppercase;font-weight:bold;letter-spacing:-4px;text-shadow:0 0 2px var(--black);margin-bottom:1em;}
#cover1,#cover2{position:fixed;top:0;z-index:999;height:100vh;width:50vw;background-color:var(--dark);}
#cover1{left:0;}
#cover2{right:0;}
.cover1hide{margin-left:-50vw;transition:all 0.5s 1.5s ease-in-out;}
.cover2hide{margin-right:-50vw;transition:all 0.5s 1.5s ease-in-out;}
#wrapper{width:auto;height:auto;position:absolute;top:0;display:inline-block;border:2px solid var(--black);transform:perspective(4000px) rotateY(90deg) translateX(-15px) scale(0.9);transition:all 1s ease-in-out;}
.wrapperfx{box-shadow:-5px 0 8px 2px rgba(0,0,0,0.4);border-radius:10px;background:rgba(128,128,128,0.75);padding:1.5em 2.5em 2.5em 2.5em;}
.rotatein{transform:perspective(4000px) rotateY(20deg) translateX(-15px) scale(0.9) !important;}
#boxes{border:2px solid var(--box);padding:1px;}
.box{width:42px;height:32px;background-color:var(--box);color:var(--white);margin:1px;float:left;cursor:pointer;text-align:center;padding-top:10px;transition:all 0.15s ease-in-out;}
.box:hover{opacity:0.5;}
.button{width:8em;float:left;font-size:0.8em;text-transform:uppercase;margin:6px 0 2px 0;padding:6px 8px 8px 8px;text-align:center;cursor:pointer;transition:all 0.15s ease-in-out;}
.button::first-letter{font-weight:bold;border-bottom:2px solid currentColor;}
.btnnew{background-color:var(--darker);border-color:var(--darker);color:var(--white);}
.btnnew:hover{background-color:var(--black);}
.btnend{float:right;background-color:var(--darker);border-color:var(--darker);color:var(--white);}
.btnend:hover{background-color:var(--black);}
.bomb{background-color:var(--black);}
.clicked{background-color:rgba(255,255,255,0);}
.end{background-color:var(--red);filter:brightness(75%);}
.hnt{background-color:var(--green);filter:brightness(75%);}